> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelcustomers notificationssummary

> Requires customers.read. The shape of the whole history per kind, which is what somebody wants before reading any single row of it.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/customers/{customerID}/notifications/summary
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/customers/{customerID}/notifications/summary:
    get:
      tags:
        - panel
      description: >-
        Requires customers.read. The shape of the whole history per kind, which
        is what somebody wants before reading any single row of it.
      operationId: summarisePanelCustomerNotifications
      parameters:
        - in: path
          name: customerID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Summary
          content:
            application/json:
              schema:
                type: object
                required:
                  - summaries
                properties:
                  summaries:
                    type: array
                    items:
                      $ref: '#/components/schemas/PanelDeliverySummary'
        '403':
          $ref: '#/components/responses/Problem'
        '404':
          $ref: '#/components/responses/Problem'
components:
  schemas:
    PanelDeliverySummary:
      type: object
      required:
        - kind
        - total
        - sent
        - failed
        - suppressed
        - waiting
      properties:
        kind:
          type: string
        total:
          type: integer
          format: int64
        sent:
          type: integer
          format: int64
        failed:
          type: integer
          format: int64
        suppressed:
          type: integer
          format: int64
        waiting:
          type: integer
          format: int64
        lastSentAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.